package com.jwipc.finance.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.jwipc.finance.entity.PaymentAdvanceRefundTransferApplyDetail;
import com.jwipc.finance.model.po.PaymentAdvanceRefundTransferApplyDetailPO;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author qzc
 * @since 2025-07-21
 */
public interface IPaymentAdvanceRefundTransferApplyDetailService extends IService<PaymentAdvanceRefundTransferApplyDetail> {

    List<PaymentAdvanceRefundTransferApplyDetailPO> findRefundTransferApplyDetailByRefundId(Long refundId);

    void updateDetailItemNo(Long id);

    void delDetailByApplyId(List<Long> applyIdList);

    List<PaymentAdvanceRefundTransferApplyDetail> findRefundTransferApplyDetailByDateKey(List<String> dataKeys);

    List<PaymentAdvanceRefundTransferApplyDetail>  findRefundTransferApplyDetailByChangeId(List<Long> applyIdList);

    List<PaymentAdvanceRefundTransferApplyDetail> findRefundTransferApplyDetailByReferOrderKey(List<String> dataKeys);

    List<PaymentAdvanceRefundTransferApplyDetail> findRefundTransferApplyDetailSumRefundAmountByDateKey(List<String> prepaymentKeyword);

    List<PaymentAdvanceRefundTransferApplyDetail> findRefundTransferApplyDataTypeInfoByDateKey(List<String> dataKeys);

    List<PaymentAdvanceRefundTransferApplyDetail> findRefundTransferApplyDataTypeInfoByPoCodeAndItem(List<String> poCodeAndItem);

    List<PaymentAdvanceRefundTransferApplyDetail> findRefundTransferApplyDetailDateKey(Integer dataType,List<String> prepaymentKeyword,List<String> dataKeys);

    List<PaymentAdvanceRefundTransferApplyDetail> findRefundTApplyDataByPoCodeAndItemDateKey(List<String> dataKeys);
}
